Subject: Promised review of Live Leps exhibit

From: [email-masked] (PA AVOCET)
Date: 17 Feb 1995 21:28:58 -0500

From: [email-masked]
Sandy Sherman
Collingdale, PA
I posted a message last week promising a review of the new "Butterflies --
Live and in Color" exhibit at the Academy of Natural Sciences in
Philadelphia.
Time has gotten away from me, and I'm off for three days to look for
Lapwings and things. I shall post that review; bear with me. I'll say now
that the exhibit is in its early stages. There were five species flying --
they hope to get up to 16.
More later...